%define vname   %{name}2
%define Summary Classic 2D jump n run sidescroller with Tux

Name:		supertux
Version:	0.6.3
Release:	%mkrel 2
Source1:	supertux2.desktop
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch1:  supertux-missing-include.patch
Patch2:	SuperTux-v0.6.3-Source-fix-gcc11-build.patch
Patch3:  a6413aa690e0bdfef648c68693349a7b878fe60d.patch
License:	GPLv2+
Group:		Games/Arcade
URL:		http://supertuxproject.org
Summary:	%{Summary}
BuildRequires:	cmake
BuildRequires:	libcurl-devel
BuildRequires:	%{_lib}SDL_mixer-devel %{_lib}sdl2_image-devel MesaGLU-devel %{_lib}glew-devel glm-devel
BuildRequires:	oggvorbis-devel %{_lib}openal-devel %{_lib}physfs-devel zlib-devel %{_lib}boost-static-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	openal
Requires:	%{_lib}openal1
Requires:       %{name}-data >= %{version}-%{release}


%description
SuperTux is a classic 2D jump 'n run sidescroller game in
a similar style like the original SuperMario games. 

%package data
Summary:        Data files for %{name}
Group:          Games/Arcade
BuildArch:      noarch

%description data
This package contains games data files for %{name}.

%prep

%build
pushd %_sourcedir
wget -nc https://github.com/SuperTux/supertux/releases/download/v%{version}/SuperTux-v%{version}-Source.tar.gz
tar -xvf SuperTux-v%{version}-Source.tar.gz -C %_builddir
popd

pushd %_builddir/SuperTux-v%{version}-Source
%apply_patches
%cmake -DBUILD_SHARED_LIBS=OFF
%make
popd

%install
rm -rf $RPM_BUILD_ROOT

pushd %_builddir/SuperTux-v%{version}-Source
%makeinstall_std -C build
popd

rm -fr %{buildroot}%{_gamesdatadir}/doc %{buildroot}%{_datadir}/doc %{buildroot}%{_docdir}

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT/%{_datadir}/applications/%{vname}.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_gamesbindir}/%{vname}
%{_datadir}/metainfo/%{vname}.appdata.xml
%{_datadir}/applications/%{vname}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_iconsdir}/hicolor/scalable/apps/%{vname}.svg
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files data
%{_gamesdatadir}

%changelog
* Sat Sep 17 2022 tex - 0.6.3-2pclos2022
- rebuild against updates

* Sat Apr 09 2022 pp <pp> 0.6.3-1pclos2022
- new version

* Fri Jan 01 2021 pp <pp> 0.6.2-1pclos2021
- update

* Sat Dec 28 2019 tex - 0.6.1-1pclos2020
- new version

* Sat Aug 17 2019 pp <pp> 0.6.0-1pclos2019
- update

* Thu Dec 22 2016 pp <pp> 0.5.1-1pclos2017
- update

* Wed Sep 28 2016 pp <pp> 0.5.0-1pclos2016
- updated BR
- update

* Tue Dec 22 2015 pp <pp> 0.4.0-1pclos2016
- update
- use data noarch

* Tue Oct 29 2013 billybot <billybot> 0.3.4-3pclos2013
- this is stupid put everything in one package
- attr the binary 

* Tue Oct 29 2013 pinoc <vogtpet at gmail.com> 0.3.4-2pclos2013
- data is not noarch

* Mon Oct 21 2013 pinoc <vogtpet at gmail.com> 0.3.4-1pclos2013
- 0.3.4
- split out data to noarch

* Mon Apr 29 2013 pinoc <vogtpet at gmail.com> 0.3.3-3pclos2013
- amend BR for 32/64
- added curl patch from MGA
- set to use internal squirrel

* Wed May 19 2010 Texstar <texstar at gmail.com> 0.3.3-2pclos2010
- rebuild against updated openal

* Thu Apr 22 2010 Texstar <texstar at gmail.com> 0.3.3-1pclos2010
- re-import into pclos due to hd failure

